package com.ruoyi.logistics.domain.dto;

import com.ruoyi.common.core.annotation.Excel;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 批量下单 DTO 对象
 */
public class JDOrderDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 发件人姓名 */
    @Excel(name = "发件人姓名")
    private String senderName;

    /** 发件人电话 */
    private String senderPhone;

    /** 发件省 */
    private String senderProvince;

    /** 发件市 */
    private String senderCity;

    /** 发件区县 */
    private String senderCounty;

    /** 发件详细地址 */
    private String senderAddress;

    /** 收件人姓名 */
    private String receiverName;

    /** 收件人电话 */
    private String receiverPhone;

    /** 收件省 */
    private String receiverProvince;

    /** 收件市 */
    private String receiverCity;

    /** 收件区县 */
    private String receiverCounty;

    /** 收件详细地址 */
    private String receiverAddress;

    /** 货物名称 */
    private String goodsName;

    /** 货物重量 */
    private BigDecimal goodsWeight;

    /** 货物体积 */
    private BigDecimal goodsVolume;

    /** 货物数量 */
    private Long goodsQty;

    /** 取件类型 */
    private Integer pickupType;

    /** 上门取件开始时间 */
    private Date sendStartTime;

    /** 上门取件结束时间 */
    private Date sendEndTime;

    /** 产品类型 */
    private String productCode;

    /** 增值服务 */
    private String addedService;

    /** 备注 */
    private String remark;

    /** 是否包装 */
    private String isPack;

    /** 保价金额 */
    private String guaranteeMoney;

    /** 签单返还 */
    private String isReceiptCollect;

    public String getSenderName() {
        return senderName;
    }

    public void setSenderName(String senderName) {
        this.senderName = senderName;
    }

    public String getSenderPhone() {
        return senderPhone;
    }

    public void setSenderPhone(String senderPhone) {
        this.senderPhone = senderPhone;
    }

    public String getSenderProvince() {
        return senderProvince;
    }

    public void setSenderProvince(String senderProvince) {
        this.senderProvince = senderProvince;
    }

    public String getSenderCity() {
        return senderCity;
    }

    public void setSenderCity(String senderCity) {
        this.senderCity = senderCity;
    }

    public String getSenderCounty() {
        return senderCounty;
    }

    public void setSenderCounty(String senderCounty) {
        this.senderCounty = senderCounty;
    }

    public String getSenderAddress() {
        return senderAddress;
    }

    public void setSenderAddress(String senderAddress) {
        this.senderAddress = senderAddress;
    }

    public String getReceiverName() {
        return receiverName;
    }

    public void setReceiverName(String receiverName) {
        this.receiverName = receiverName;
    }

    public String getReceiverPhone() {
        return receiverPhone;
    }

    public void setReceiverPhone(String receiverPhone) {
        this.receiverPhone = receiverPhone;
    }

    public String getReceiverProvince() {
        return receiverProvince;
    }

    public void setReceiverProvince(String receiverProvince) {
        this.receiverProvince = receiverProvince;
    }

    public String getReceiverCity() {
        return receiverCity;
    }

    public void setReceiverCity(String receiverCity) {
        this.receiverCity = receiverCity;
    }

    public String getReceiverCounty() {
        return receiverCounty;
    }

    public void setReceiverCounty(String receiverCounty) {
        this.receiverCounty = receiverCounty;
    }

    public String getReceiverAddress() {
        return receiverAddress;
    }

    public void setReceiverAddress(String receiverAddress) {
        this.receiverAddress = receiverAddress;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public BigDecimal getGoodsWeight() {
        return goodsWeight;
    }

    public void setGoodsWeight(BigDecimal goodsWeight) {
        this.goodsWeight = goodsWeight;
    }

    public BigDecimal getGoodsVolume() {
        return goodsVolume;
    }

    public void setGoodsVolume(BigDecimal goodsVolume) {
        this.goodsVolume = goodsVolume;
    }

    public Long getGoodsQty() {
        return goodsQty;
    }

    public void setGoodsQty(Long goodsQty) {
        this.goodsQty = goodsQty;
    }

    public Integer getPickupType() {
        return pickupType;
    }

    public void setPickupType(Integer pickupType) {
        this.pickupType = pickupType;
    }

    public Date getSendStartTime() {
        return sendStartTime;
    }

    public void setSendStartTime(Date sendStartTime) {
        this.sendStartTime = sendStartTime;
    }

    public Date getSendEndTime() {
        return sendEndTime;
    }

    public void setSendEndTime(Date sendEndTime) {
        this.sendEndTime = sendEndTime;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public String getAddedService() {
        return addedService;
    }

    public void setAddedService(String addedService) {
        this.addedService = addedService;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getIsPack() {
        return isPack;
    }

    public void setIsPack(String isPack) {
        this.isPack = isPack;
    }

    public String getGuaranteeMoney() {
        return guaranteeMoney;
    }

    public void setGuaranteeMoney(String guaranteeMoney) {
        this.guaranteeMoney = guaranteeMoney;
    }

    public String getIsReceiptCollect() {
        return isReceiptCollect;
    }

    public void setIsReceiptCollect(String isReceiptCollect) {
        this.isReceiptCollect = isReceiptCollect;
    }
}
